# OrderedProduct

### Fields

#### asset ([Asset](/graphql-api/api-reference/objects/asset.md))

The asset currently linked to this ordered product.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the ordered product was created

#### graceCancellationEndsAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the grace cancellation period ends

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the ordered product with

#### interval ([Int](/graphql-api/api-reference/objects/int.md))

The amount of time in units between shipments of this order

#### intervalUnitOfMeasure ([String](/graphql-api/api-reference/objects/string.md))

The time measure for interval units

#### maximumCommitmentEndsAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the maximum commitment period ends

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata makes it possible to store additional information on objects.

#### minimumCommitmentEndsAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the minimum commitment period ends

#### plan ([Plan](/graphql-api/api-reference/objects/plan.md))

If added as part of a plan, this will be the reference.

#### priceExcludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The price of the product for this subscription excluding tax in cents

#### priceIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The price of the product for this subscription including tax in cents

#### product ([Product](/graphql-api/api-reference/objects/product.md)!)

The associated product record for this order line

#### productId ([ID](/graphql-api/api-reference/objects/id.md)!)

The ID of the associated product record

#### quantity ([Int](/graphql-api/api-reference/objects/int.md))

The amount ordered for this product

#### recurring ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether this product will get shipped or charged recurringly.

#### shipmentDate ([String](/graphql-api/api-reference/objects/string.md))

The next date on which a new order should get initiated

#### status ([OrderedProductStatus](/graphql-api/api-reference/objects/ordered-product-status.md)!)

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

The associated product record for this ordered product

#### title ([String](/graphql-api/api-reference/objects/string.md))

Name of the product

#### totalAmountExcludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The total amount based on the unit price \* quantity excluding tax, in cents

#### totalAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The total amount based on the unit price \* quantity including tax, in cents

#### totalOrdered ([Int](/graphql-api/api-reference/objects/int.md))

The total amount that the customer has ordered of this product upto now

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the ordered product was updated

#### versions ([VersionConnection](/graphql-api/api-reference/objects/version-connection.md))

Version history (audit log) of this ordered product.

| Argument                                                        | Description                                                             |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| after ([String](/graphql-api/api-reference/objects/string.md))  | Returns the elements in the list that come after the specified cursor.  |
| before ([String](/graphql-api/api-reference/objects/string.md)) | Returns the elements in the list that come before the specified cursor. |
| first ([Int](/graphql-api/api-reference/objects/int.md))        | Returns the first *n* elements from the list.                           |
| last ([Int](/graphql-api/api-reference/objects/int.md))         | Returns the last *n* elements from the list.                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/ordered-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
